{{/*
Полное имя для сервиса notifier
<Имя инстанса> = Release.Name
*/}}
{{- define "notifier.fullname" -}}
{{- printf "%s-%s" "notifier" .Release.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
 метка notifier
*/}}
{{- define "notifier.labels" -}}
app.kubernetes.io/component: notifier
{{ include "notifier.selectorLabels" . }}
{{- end }}

{{/*
Selector notifier
*/}}
{{- define "notifier.selectorLabels" -}}
app.kubernetes.io/instance: {{ .Release.Name }}
app.kubernetes.io/name: {{ .Chart.Name }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
app: {{ include "notifier.fullname" . }}
{{- end }}

{{/*
Имя config-notifier для notifier
*/}}
{{- define "notifier.config" -}}
{{- printf "%s-%s" "notifier-application" .Release.Name  | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}
